Bug 1718379 - jenkins-slave produce process defunct [ Jenkins "SLAVE" ]
Summary: jenkins-slave produce process defunct [ Jenkins "SLAVE" ]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard: 4.1.3
Depends On: 1700314
Blocks: 1705123 1707447 1707448
TreeView+ depends on / blocked
 
Reported: 2019-06-07 15:18 UTC by Gabe Montero
Modified: 2019-06-26 08:51 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1700314
Environment:
Last Closed: 2019-06-26 08:50:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1589 None None None 2019-06-26 08:51:05 UTC

Comment 1 Gabe Montero 2019-06-07 15:19:17 UTC
PR https://github.com/openshift/jenkins/pull/852 is up for 4.1.z

Comment 2 Gabe Montero 2019-06-19 13:27:12 UTC
PR has been approved and merged

Comment 4 XiuJuan Wang 2019-06-20 06:35:21 UTC
Verified with 4.1.0-0.nightly-2019-06-20-005651 payload.

  jenkins                                       quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a76b5893b9999714a334298e9a6408f4e370e89e8e6cda60f96590e2853ad7ed
  jenkins-agent-maven                           quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e7498d666d1a51509ba4b02cf5a890d9d7d4809d793df445f71d9e205e5547e7
  jenkins-agent-nodejs                          quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:25a28298cbe6f52f1f0d46ff939afd9cb85aac1aa0b4114f2b664c604ec3d2ae

Steps:
1. Create jenkins server and maven| nodejs pipeline buildconfigs.
2.Login to jenkins console to set the maven/nodejs pod idle 30 mins
3.Trigger maven and nodejs pipeline builds.
4.Rsh into slave pod when time is almost out.
dumb-init process has cleaned defunct processes, no defunct processes exist.

$ oc get pods  -n xiuwang 
NAME                                  READY   STATUS      RESTARTS   AGE
maven-h907d                           1/1     Running     0          26m
nodejs-zzw9s                          1/1     Running     0          26m

$ oc rsh -n xiuwang maven-h907d 
sh-4.2$ ps -ef  
UID         PID   PPID  C STIME TTY          TIME CMD
default       1      0  0 06:04 ?        00:00:00 /usr/bin/dumb-init -- /usr/local/bin/run-jnlp-client f684e6ef4b007c8187281f6e41fbe5312e60587debb81b8666b00f7867be87b2 maven-h907d
default       6      1  1 06:04 ?        00:00:28 java -XX:+UseParallelGC -XX:MinHeapFreeRatio=5 -XX:MaxHeapFreeRatio=10 -XX:GCTimeRatio=4 -XX:AdaptiveSizePolicyWeight=90 -cp /home/jenkins/remoting.jar hudson.re
default     442      0  0 06:29 pts/0    00:00:00 /bin/sh
default     454    442  0 06:29 pts/0    00:00:00 ps -ef
sh-4.2$ exit 

$ oc rsh -n xiuwang nodejs-zzw9s 
sh-4.2$ ps -ef
UID         PID   PPID  C STIME TTY          TIME CMD
default       1      0  0 06:04 ?        00:00:00 /usr/bin/dumb-init -- /usr/local/bin/run-jnlp-client fd91fdb8b791d49fde4b04d0153506291851e7b394f4ba3134f5ee6dfe55c81b nodejs-zzw9s
default       6      1  1 06:04 ?        00:00:25 java -XX:+UseParallelGC -XX:MinHeapFreeRatio=5 -XX:MaxHeapFreeRatio=10 -XX:GCTimeRatio=4 -XX:AdaptiveSizePolicyWeight=90 -cp /home/jenkins/remoting.jar hudson.re
default     427      0  0 06:30 pts/0    00:00:00 /bin/sh
default     435    427  0 06:30 pts/0    00:00:00 ps -ef
sh-4.2$ exit

Comment 6 errata-xmlrpc 2019-06-26 08:50:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1589


Note You need to log in before you can comment on or make changes to this bug.